KDE 4.7 PyKDE API Reference

- KDE's Python API

# FileViewWidget Class Reference

`from PyKDE4.marble import *`

Inherits: QWidget → QObject
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self, QWidget parent=0, Qt::WindowFlags f=0)
| enableFileViewActions (self)
| setMarbleWidget (self, Marble.MarbleWidget widget)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0,
|  | Qt::WindowFlags | f=0
| ) |  |  |

enableFileViewActions | ( |  | self ) |

setMarbleWidget | ( | self, |
|  | Marble.MarbleWidget | widget
| ) |  |  |

Set a MarbleWidget associated to this widget.

Parameters:

  | widget | the MarbleWidget to be set.